Bug 18912 - Show more item information when using itemBarcodeFallbackSearch
Summary: Show more item information when using itemBarcodeFallbackSearch
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Kyle M Hall
URL:
Keywords:
Depends on: 18708
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-09 15:48 UTC by Katrin Fischer
Modified: 2021-05-25 14:02 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
When using itemBarcodeFallbacksearch to checkout items with an unknown or non-existing barcode, the table with items matching the search criteria didn't contain a lot of information about the items. This patch adds several columns to make it easier to pick the correct item for checkout: callnumber, copy number, serial enumeration, inventory number, collection, and item type.
Version(s) released in:
21.05.00


Attachments
Bug 18912: Display more info when using itemBarcodeFallbackSearch (5.98 KB, patch)
2021-02-17 09:04 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 18912: Display more info when using itemBarcodeFallbackSearch (6.04 KB, patch)
2021-02-18 11:57 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 18912: (follow-up) Add even more information (5.38 KB, patch)
2021-02-18 11:57 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 18912: Display more info when using itemBarcodeFallbackSearch (6.09 KB, patch)
2021-02-20 02:35 UTC, David Nind
Details | Diff | Splinter Review
Bug 18912: (follow-up) Add even more information (5.43 KB, patch)
2021-02-20 02:35 UTC, David Nind
Details | Diff | Splinter Review
Bug 18912: Display more info when using itemBarcodeFallbackSearch (6.13 KB, patch)
2021-04-01 12:55 UTC, Victor Grousset/tuxayo
Details | Diff | Splinter Review
Bug 18912: (follow-up) Add even more information (5.36 KB, patch)
2021-04-01 12:55 UTC, Victor Grousset/tuxayo
Details | Diff | Splinter Review
Bug 18912: Split info into different columns (3.07 KB, patch)
2021-04-08 09:27 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 18912: Split info into different columns (3.13 KB, patch)
2021-04-09 16:33 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 18912: Display more info when using itemBarcodeFallbackSearch (6.26 KB, patch)
2021-04-16 17:12 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 18912: (follow-up) Add even more information (5.48 KB, patch)
2021-04-16 17:13 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 18912: Split info into different columns (3.25 KB, patch)
2021-04-16 17:13 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2017-07-09 15:48:09 UTC
Using itemBarcodeFallbackSearch entering a barcode on checkout will do a keyword search and provide you with a list of items matching the search term for checkout. This allows checking out items, where there is no barcode in the item (you still need a dummy barcode in Koha).

At the moment the table of items to choose from will only chow the title and the dummy barcode.

In order to make it more useful and easier to identify the correct item, we should show more information here:

- callnumber (952$o)
- serial enumeration (952$h)
- copy number (952$t)
- inventory number (952$i)

Callnumber and inventory number might be visible on the item. The inventory number is usually written or stamped inside the book.
Serial enumeration will be helpful for checking out serial issues without barcodes.
The copy number will help to pick the right item for a records with multiples.
Comment 1 Jonathan Druart 2021-02-17 09:04:00 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2021-02-18 11:57:47 UTC Comment hidden (obsolete)
Comment 3 Owen Leonard 2021-02-18 11:57:50 UTC Comment hidden (obsolete)
Comment 4 David Nind 2021-02-20 02:35:13 UTC Comment hidden (obsolete)
Comment 5 David Nind 2021-02-20 02:35:16 UTC Comment hidden (obsolete)
Comment 6 Victor Grousset/tuxayo 2021-04-01 12:55:05 UTC
Created attachment 119075 [details] [review]
Bug 18912: Display more info when using itemBarcodeFallbackSearch

Using itemBarcodeFallbackSearch entering a barcode on checkout will do a keyword
search and provide you with a list of items matching the search term for checkout.
This allows checking out items, where there is no barcode in the item (you still need
a dummy barcode in Koha).

At the moment the table of items to choose from will only chow the title and the dummy barcode.

In order to make it more useful and easier to identify the correct item,
we should show more information here:

- callnumber (952$o)
- serial enumeration (952$h)
- copy number (952$t)
- inventory number (952$i)

(description copier from comment 0)

Test plan:
- Turn on itemBarcodeFallbackSearch
(If you have ES you need bug 27597)
- Check an item out using "street" or a search that will return several
items
- Note that you have now more info about the items

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Victor Grousset/tuxayo <victor@tuxayo.net>
Comment 7 Victor Grousset/tuxayo 2021-04-01 12:55:08 UTC
Created attachment 119076 [details] [review]
Bug 18912: (follow-up) Add even more information

This follow-up proposes that we add even more information (collection
code, item type) and puts the new information in to table columns.

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Victor Grousset/tuxayo <victor@tuxayo.net>
Comment 8 Victor Grousset/tuxayo 2021-04-01 12:56:51 UTC
Tried to QA, couldn't get a good grasp of the code but at least here is another signoff :)
Comment 9 Katrin Fischer 2021-04-03 13:02:27 UTC
I really like to see this change, but I feel the important information to distinguish the items is now too crowded into one table column when it should be in different columns.

Lots of text and it will be hard to read in a bigger table, say for multiple serial issues:

callnumber
Copy number: 7
Inventory number: 1234
Serial enumeration: 1.2 

If there is worry about too many columns, maybe we could only show the column if there is at least one item that has the information set?
Comment 10 Owen Leonard 2021-04-05 16:15:30 UTC
(In reply to Katrin Fischer from comment #9)
> maybe we could only show the
> column if there is at least one item that has the information set?

Is this possible to do just with Template Toolkit?
Comment 11 Katrin Fischer 2021-04-05 16:22:38 UTC
(In reply to Owen Leonard from comment #10)
> (In reply to Katrin Fischer from comment #9)
> > maybe we could only show the
> > column if there is at least one item that has the information set?
> 
> Is this possible to do just with Template Toolkit?

I am not sure about it tbh - I know we do it in the items table but haven't checked exactly how we do it.
Comment 12 Jonathan Druart 2021-04-06 15:42:49 UTC
Then maybe we should go we the first patch only, in a first step?
Comment 13 Owen Leonard 2021-04-07 18:03:03 UTC
I've obsoleted my patch in the hopes of keeping this moving.
Comment 14 Katrin Fischer 2021-04-07 18:27:25 UTC
(In reply to Owen Leonard from comment #13)
> I've obsoleted my patch in the hopes of keeping this moving.

That's a misunderstanding! 

I think putting them in a table is what we should do. The crowded display is mostly coming form the first patch:

The Thirty Years War : 39999000000313 Callnumber: test Copy number: 7 Inventory number: 1234 Serial enumeration: 1.2

Lots of repeated text and hard to parse to find the right one. I'd like to have stocknumber and enumeration in a table with their own columns for each. Copynumber I think could go after callnumber, but doesn't need a label as I think we already have that in some other spots?

And then... in the future... it would be great if the table could also have filters and sorting.
Comment 15 Katrin Fischer 2021-04-07 18:30:21 UTC
To explain: One use case here is checking out serial issues in some libraries for overnights. And then you will end up with a lot of very similar entries to go through. so you want to quickly see the differences, which is much easier in a table. I think Owen's patch improved readability here.
Comment 16 Jonathan Druart 2021-04-08 09:27:43 UTC
Created attachment 119319 [details] [review]
Bug 18912: Split info into different columns
Comment 17 Owen Leonard 2021-04-09 16:33:29 UTC
Created attachment 119420 [details] [review]
Bug 18912: Split info into different columns

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 18 Kyle M Hall 2021-04-16 17:12:34 UTC
Created attachment 119769 [details] [review]
Bug 18912: Display more info when using itemBarcodeFallbackSearch

Using itemBarcodeFallbackSearch entering a barcode on checkout will do a keyword
search and provide you with a list of items matching the search term for checkout.
This allows checking out items, where there is no barcode in the item (you still need
a dummy barcode in Koha).

At the moment the table of items to choose from will only chow the title and the dummy barcode.

In order to make it more useful and easier to identify the correct item,
we should show more information here:

- callnumber (952$o)
- serial enumeration (952$h)
- copy number (952$t)
- inventory number (952$i)

(description copier from comment 0)

Test plan:
- Turn on itemBarcodeFallbackSearch
(If you have ES you need bug 27597)
- Check an item out using "street" or a search that will return several
items
- Note that you have now more info about the items

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Victor Grousset/tuxayo <victor@tuxayo.net>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 19 Kyle M Hall 2021-04-16 17:13:15 UTC
Created attachment 119770 [details] [review]
Bug 18912: (follow-up) Add even more information

This follow-up proposes that we add even more information (collection
code, item type) and puts the new information in to table columns.

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Victor Grousset/tuxayo <victor@tuxayo.net>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 20 Kyle M Hall 2021-04-16 17:13:18 UTC
Created attachment 119771 [details] [review]
Bug 18912: Split info into different columns

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 21 Katrin Fischer 2021-04-17 12:11:09 UTC
I really love how this looks now, thank you!

Just one problem - the title is no longer showing in the first column :(

Will try to see if I can spot the issue.
Comment 22 Katrin Fischer 2021-04-17 12:15:32 UTC
(In reply to Katrin Fischer from comment #21)
> I really love how this looks now, thank you!
> 
> Just one problem - the title is no longer showing in the first column :(
> 
> Will try to see if I can spot the issue.

Hah, turns out the whole issue was a restart_all :)
Comment 23 Jonathan Druart 2021-04-21 13:29:27 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 24 Fridolin Somers 2021-04-29 13:09:01 UTC
Enhancement not pushed to 20.11.x